APT

Программы для конфигурации и управления операционной системой
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
В сети
Аватара пользователя

darkfenix
Сообщения: 1140
Зарегистрирован: 27 июн 2017, 10:36
Решено: 12
Благодарил (а): 67 раз
Поблагодарили: 185 раз

APT

Сообщение darkfenix » 18 окт 2017, 09:07

slant, без судо

Код: Выделить всё

$ apt-get upgrade -su
ЗАМЕЧАНИЕ: Производить только имитация работы!
      Для реальной работы apt-get требуются права суперпользователя.
      Учтите, что блокировка не используется,
      поэтому нет полного соответствия с текущей реальной ситуацией!
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libavahi-gobject0
Для его удаления используйте «apt autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

Аватара пользователя

slant
Сообщения: 485
Зарегистрирован: 21 июн 2017, 15:09
Решено: 6
Благодарил (а): 1 раз
Поблагодарили: 176 раз

APT

Сообщение slant » 18 окт 2017, 09:14

И что дальше?
Читайте по дискуссии выше. Меня спросили как получить аналог вывода apt для списка пакетов подлежащих обновлению. При данном вызове как раз и не требуется выполнить сам апгрейд - нужна только информация о меняющихся в процессе пакетах. Если смущает предупреждение - так оно о том, что если запустить такую команду когда уже идет настоящая работа с пакетами - параллельно, то результат будет не адекватный. И это логично. База то едина.

Аватара пользователя

colonel
Сообщения: 617
Зарегистрирован: 18 дек 2016, 09:08
Решено: 11
Благодарил (а): 21 раз
Поблагодарили: 163 раза

APT

Сообщение colonel » 18 окт 2017, 09:16

Chocobo писал(а):
02 сен 2017, 08:38
может потом как-нибудь перещелкаю если не лень будет
зачем "перещёлкивать" если достаточно в любом графическом редакторе поиграть над картиками яркостью\контрастностью
например -
rdepends.png
symon2014 писал(а):
02 сен 2017, 19:23
бинарник арт никуда не делся, просто в минте для него есть надстройка на питоне.
symon, вы меня убиваете -
1.png
ЗЫ
к вопросу - апт(минт) это замена апт-гет(бубунта) и совершенно другая программа или только минтовая надстройка для стандартного базового дебиано-убунтового апт-гета
ну попробуйте их запустить так что бы одновременно обе работали.
Если программы разные - будут работать,
если минтовый апт надстрока ....- ну вы поняли... ;)

зы2
антиресно , в минте графические аптовые утилиты(синаптик, манагер программ, апдатер, источники приложений, ...) через минтовый апт работают или базовый апт-гет, ......
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Последний раз редактировалось пользователем 1 colonel; всего редактировалось раз: 18
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом

В сети
Аватара пользователя

darkfenix
Сообщения: 1140
Зарегистрирован: 27 июн 2017, 10:36
Решено: 12
Благодарил (а): 67 раз
Поблагодарили: 185 раз

APT

Сообщение darkfenix » 18 окт 2017, 09:19

slant писал(а):
18 окт 2017, 09:14
Читайте по дискуссии выше
Читал. И это предупреждение может быть не верно интерпретировано не слишком разумными пользователями. Тогда как команда что привел Chocobo не выводит никаких предупреждений.

Аватара пользователя

slant
Сообщения: 485
Зарегистрирован: 21 июн 2017, 15:09
Решено: 6
Благодарил (а): 1 раз
Поблагодарили: 176 раз

APT

Сообщение slant » 18 окт 2017, 09:30

Для не слишком разумных пользователей есть mintupdate. :)

Вопрос же был не в том, как и кто поймет, а можно ли через "старые" команды получить нужную информацию. Ответ - можно. В подробностях.

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 6261
Зарегистрирован: 27 авг 2016, 19:57
Решено: 138
Откуда: НН
Благодарил (а): 442 раза
Поблагодарили: 1619 раз

APT

Сообщение Chocobo » 18 окт 2017, 09:54

slant, Согласен, в данном случае формат выхлопа это уже больше косметика (хотя голый список и в технических целях парсить удобней, чем всю эту литературщину :joke: )

В сети
Аватара пользователя

Автор темы
Chocobo
Сообщения: 6261
Зарегистрирован: 27 авг 2016, 19:57
Решено: 138
Откуда: НН
Благодарил (а): 442 раза
Поблагодарили: 1619 раз

APT

Сообщение Chocobo » 10 ноя 2017, 00:48

Ну и по выхлопу соседней темы
Можно еще сделать вывод, что наш apt upgrade == sudo apt-get full-upgrade

Аватара пользователя

cat2cat
Сообщения: 85
Зарегистрирован: 15 ноя 2017, 17:22
Благодарил (а): 6 раз

APT

Сообщение cat2cat » 20 ноя 2017, 13:21

Chocobo писал(а):
01 сен 2017, 16:16
APT (Advanced Package Tool) - Пакетный менеджер и одноименная утилита командной строки для взаимодействия с пакетами программного обеспечения в DEB-based дистрибутивах (Linux Mint, Ubuntu, Debian, etc). Его можно использовать его для поиска и установки новых пакетов, обновления или удаления пакетов и т. д.
так это что менеджер пакетов синаптик в консольном виде?
просто по поиску в меню "пакет....." выскочил только он


Linuha

APT

Сообщение Linuha » 20 ноя 2017, 13:23

cat2cat писал(а):
20 ноя 2017, 13:21
синаптик в консольном виде
Это графическая надстройка над APT.

Вернуться в «Системные утилиты»